Skip to main content
GET
List all Receivables

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>

Return only receivables with this type. The origin of the event that created the receivable. This value does not change after the receivable is created.

  • card_network_settlement: the receivable was created from a card network settlement. card_network_settlement_details is present.
  • user_credit_balance: the receivable was created from a User Credit Transaction drawn on a User Credit Balance. user_credit_balance_details is present.
Available options:
card_network_settlement,
user_credit_balance
Example:

"card_network_settlement"

receivable_sale_id
string

Return only receivables that are part of this receivable sale. Unique ID of the Receivable Sale object.

Maximum string length: 64
Pattern: ^receivable_sale_\w+$
Example:

"receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e"

request_date
object

A set of filters on the list using the object's field receivable_sale_details.request_date.

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. Pass the ID of the last Receivable in the previous page to fetch the next page. Unique ID of the Receivable object.

Maximum string length: 64
Pattern: ^receivable_\w+$
Example:

"receivable_2NfK8sLq4RtVwXyZ1aBcDeFgHiJ"

ending_before
string

A cursor for use in pagination. Pass the ID of the first Receivable in the current page to fetch the previous page. Unique ID of the Receivable object.

Maximum string length: 64
Pattern: ^receivable_\w+$
Example:

"receivable_2NfK8sLq4RtVwXyZ1aBcDeFgHiJ"

Response

A list of Receivable objects.

objects
object[]
required
has_more
boolean
required

Whether more objects are available beyond this page.